Workflows
Workflows enable you to automate multi-step processes directly in Kibana. Define sequences of steps in YAML to transform data insights into automated actions and outcomes, without needing external automation tools.
Use the workflows APIs to create, manage, and run workflows programmatically. You can also search, export, import, and monitor workflow executions.
-
Get workflows
Stack
9.4+
- GET /api/workflows
-
Bulk create workflows
Stack
9.4+
- POST /api/workflows
-
Bulk delete workflows
Stack
9.4+
- DELETE /api/workflows
-
Get workflow aggregations
Stack
9.4+
- GET /api/workflows/aggs
-
Get available connectors
Stack
9.4+
- GET /api/workflows/connectors
-
Get a workflow execution
Stack
9.4+
- GET /api/workflows/executions/{executionId}
-
Cancel a workflow execution
Stack
9.4+
- POST /api/workflows/executions/{executionId}/cancel
-
Get child executions
Stack
9.4+
- GET /api/workflows/executions/{executionId}/children
-
Get execution logs
Stack
9.4+
- GET /api/workflows/executions/{executionId}/logs
-
Resume a workflow execution
Stack
9.4+
- POST /api/workflows/executions/{executionId}/resume
-
Get a step execution
Stack
9.4+
- GET /api/workflows/executions/{executionId}/step/{stepExecutionId}
-
Get execution step executions
Stack
9.4+
- GET /api/workflows/executions/{executionId}/steps
-
Resume a workflow execution from an external link
Stack
9.4+
- GET /api/workflows/executions/{executionId}/steps/{stepId}/resume/external
-
Submit external input for a paused workflow execution
Stack
9.4+
- POST /api/workflows/executions/{executionId}/steps/{stepId}/resume/external
-
Get the external input form for a paused workflow execution
Stack
9.4+
- GET /api/workflows/executions/{executionId}/steps/{stepId}/resume/external/form
-
Export workflows
Stack
9.4+
- POST /api/workflows/export
-
Update a managed workflow
Stack
9.5+
- PUT /api/workflows/managed/workflow/{id}
-
Get workflows by IDs
Stack
9.4+
- POST /api/workflows/mget
-
Get workflow JSON schema
Stack
9.4+
- GET /api/workflows/schema
-
Get workflow statistics
Stack
9.4+
- GET /api/workflows/stats
-
Test a workflow step
Stack
9.4+
- POST /api/workflows/step/test
-
Test a workflow
Stack
9.4+
- POST /api/workflows/test
-
Create a workflow
Stack
9.4+
- POST /api/workflows/workflow
-
Search workflow executions
Stack
9.4+
- GET /api/workflows/workflow/executions
-
Get a workflow
Stack
9.4+
- GET /api/workflows/workflow/{id}
-
Update a workflow
Stack
9.4+
- PUT /api/workflows/workflow/{id}
-
Delete a workflow
Stack
9.4+
- DELETE /api/workflows/workflow/{id}
-
Clone a workflow
Stack
9.4+
- POST /api/workflows/workflow/{id}/clone
-
Run a workflow
Stack
9.4+
- POST /api/workflows/workflow/{id}/run
-
Get workflow executions
Stack
9.4+
- GET /api/workflows/workflow/{workflowId}/executions
-
Cancel all active workflow executions
Stack
9.4+
- POST /api/workflows/workflow/{workflowId}/executions/cancel
-
Get workflow step executions
Stack
9.4+
- GET /api/workflows/workflow/{workflowId}/executions/steps